# Function IsComplex

- IsComplex(
  __namedParameters: { message?: string; options: ComplexityOptions },
  ): (control: AbstractControl) => null | ValidationErrors

  #### Parameters

  - __namedParameters: { message?: string; options: ComplexityOptions }

  #### Returns (control: AbstractControl) => null | ValidationErrors

  - Defined in packages/angular/forms/src/lib/validators/is-complex.ts:104